# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_BackgroundColour Class Reference

`#include <StepVisual_BackgroundColour.hxx>`

Inheritance diagram for StepVisual_BackgroundColour:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_BackgroundColour ()
| Returns a BackgroundColour .
virtual Standard_EXPORT void | Init (const StepVisual_AreaOrView &aPresentation)
Standard_EXPORT void | SetPresentation (const StepVisual_AreaOrView &aPresentation)
Standard_EXPORT StepVisual_AreaOrView | Presentation () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepVisual_AreaOrView | presentation

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_BackgroundColour::StepVisual_BackgroundColour | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_BackgroundColour::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_Colour.

virtual Standard_EXPORT void StepVisual_BackgroundColour::Init | ( | const StepVisual_AreaOrView & | aPresentation | ) | `[virtual]`

Standard_EXPORT StepVisual_AreaOrView StepVisual_BackgroundColour::Presentation | ( |  | ) | const

Standard_EXPORT void StepVisual_BackgroundColour::SetPresentation | ( | const StepVisual_AreaOrView & | aPresentation | ) |

## Field Documentation

StepVisual_AreaOrView StepVisual_BackgroundColour::presentation `[private]`

The documentation for this class was generated from the following file:

- StepVisual_BackgroundColour.hxx